#version 120

varying highp vec2 textureCoordinate;
varying highp vec2 textureCoordinate2;

uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;

uniform lowp float alpha;

void main()
{
    lowp vec4 textureColor = texture2D(inputImageTexture, textureCoordinate);
    lowp vec4 textureColor2 = vec4(0.0);
    if (textureCoordinate2.x<0.0 || textureCoordinate2.x>1.0
    ||textureCoordinate2.y<0.0||textureCoordinate2.y>1.0){
        textureColor2 = vec4(0.0);
    }else{
        texture2D(inputImageTexture2, textureCoordinate2);
    }
    gl_FragColor = vec4(mix(textureColor.rgb, textureColor2.rgb, textureColor2.a * alpha), textureColor.a);
}
